Summary: A remote display system
Name: tightvnc
Version: 1.5.0git
Release: alt5
Url: http://www.tightvnc.com/
Source: vnc-%version.tar.bz2
License: GPL
Group: Networking/Remote access 
Packager: Denis Medvedev <nbr@altlinux.ru>

BuildPreReq: %_bindir/perl 
BuildRequires(Pre): zlib-devel libjpeg-devel  xorg-devel xorg-cf-files gcc  gccmakedep libXt-devel libXmu-devel libXaw-devel libwrap-devel cvs gcc-c++ libjpeg-devel zlib-devel libpixman-devel libssl-devel libpciaccess-devel xorg-trapproto-devel desktop-file-utils

Conflicts: vnc

%description
Virtual Network Computing (VNC) is a remote display system which
allows you to view a computing 'desktop' environment not only on the
machine where it is running, but from anywhere on the Internet and
from a wide variety of machine architectures. TightVNC is an enhanced
VNC distribution. This package contains a client which will allow you
to connect to other desktops running a VNC or a TightVNC server.

%package server
Summary: TightVNC server
Requires: bash >= 2.0
Requires: fonts-bitmap-misc 
Conflicts: vnc-server
Group: Networking/Remote access 
PreReq: /sbin/chkconfig /sbin/service %_sysconfdir/init.d

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms. TightVNC is an enhanced VNC distribution. This
package is a TightVNC server, allowing others to access the desktop on
your machine.

%prep
%setup -q -n vnc-%version


%build

cd unix
autoreconf -fiv

%configure --without-tight-jpeg --without-tight-zlib
make 
     
cd xserver
./autogen.sh
%configure --disable-xorg  --disable-dri --disable-xnest --disable-xvfb --disable-dmx --disable-xwin --disable-xephyr --disable-kdrive --disable-xevie --disable-composite --disable-dix --without-tight-jpeg --without-tight-zlib
make

%install
rm -rf %buildroot

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_man1dir
cd unix

cp xserver/hw/vnc/Xvnc %buildroot%_bindir/Xvnc
cp vncserver %buildroot%_bindir/vncserver
cp vncpasswd/vncpasswd %buildroot%_bindir/vncpasswd
cp vncconfig/vncconfig %buildroot%_bindir/vncconfig
mkdir -p %buildroot%_datadir/vnc
cp xserver/hw/vnc/Xvnc.man %buildroot%_man1dir/Xvnc.1
cp vncserver.man %buildroot%_man1dir/vncserver.1
cp vncpasswd/vncpasswd.man %buildroot%_man1dir/vncpasswd.1
cp vncconfig/vncconfig.man %buildroot%_man1dir/vncconfig.1
cp vncviewer/vncviewer.man %buildroot%_man1dir/vncviewer.1

%makeinstall

mkdir -p %buildroot%_datadir/vnc
cp -aR ../common/javabin %buildroot%_datadir/vnc

mkdir -p %buildroot%_initdir/
install -m755 vncserver.init %buildroot%_initdir//vncserver

mkdir -p %buildroot%_sysconfdir/sysconfig
cat > %buildroot%_sysconfdir/sysconfig/vncservers << EOF
# The VNCSERVERS variable is a list of display:user pairs.
#
# Uncomment the line below to start a VNC server on display :1
# as my 'myusername' (adjust this to your own).  You will also
# need to set a VNC password; run 'man vncpasswd' to see how
# to do that.
#
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/vnc/sshvnc.html>.

# VNCSERVERS="1:myusername"
EOF
chmod 644 %buildroot%_sysconfdir/sysconfig/vncservers

mkdir -p %buildroot%_desktopdir
cat >vncviewer.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=VNC Viewer
Comment=Connect to VNC server and display remote desktop
Exec=%_bindir/vncviewer
Icon=vnc
Terminal=false
Type=Application
StartupWMClass=VNC Viewer: Connection Details
EOF
# Desktop file installation.
mkdir -p %buildroot%_desktopdir
desktop-file-install --vendor vnc --delete-original    \
  --dir %buildroot%_desktopdir        \
    --add-category Network                               \
      --add-category Application                           \
        vncviewer.desktop

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%post server
if [ "$1" = 1 ]; then
  /sbin/chkconfig --add vncserver
fi

%preun server
if [ "$1" = 0 ]; then
  /sbin/service vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%postun server
if [ "$1" -ge "1" ]; then
  /sbin/service vncserver condrestart >/dev/null 2>&1
fi

%files
%doc LICENCE.TXT README WhatsNew ChangeLog
%_bindir/vncviewer
%config(noreplace) %_desktopdir/vncviewer.desktop
%_man1dir/vncviewer.1*

%files server
%doc LICENCE.TXT README WhatsNew ChangeLog
%attr(0755,root,root) %config %_initdir//vncserver
%config(noreplace) %_sysconfdir/sysconfig/vncservers
%_bindir/Xvnc
%_bindir/x0vncserver
%_bindir/vncserver
%_bindir/vncpasswd
%_bindir/vncconfig
%_datadir/vnc
%_man1dir/Xvnc.1*
%_man1dir/vncserver.1*
%_man1dir/vncpasswd.1*
%_man1dir/vncconfig.1*

%changelog
* Fri Nov 28 2008 Denis Medvedev <nbr@altlinux.ru> 1.5.0git-alt5
- strip change, adaptation to xorg changes

* Tue Sep 16 2008 Denis Medvedev <nbr@altlinux.ru> 1.5.0git-alt4
- dependency fix for new xorg libs

* Mon Sep 08 2008 Denis Medvedev <nbr@altlinux.ru> 1.5.0git-alt3
- dependency fix for new xorg libs

* Sat Jul 26 2008 Denis Medvedev <nbr@altlinux.ru> 1.5.0git-alt2
- repocop vncserver start script LSB and condstop

* Wed Jul 23 2008 Denis Medvedev <nbr@altlinux.ru> 1.5.0git-alt1
- Initial tightvtnc-1.5 +xorg 7.5 

* Fri Mar 14 2008 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt12
- Added dependency to fonts-bitmap-misc

* Thu Mar 13 2008 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt11
- Removed Obsoletes clause

* Tue Mar 04 2008 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt10
- Reverting to old state,same as alt8

* Tue Feb 19 2008 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt9
- fix bug with freeing free pixmap (cfbDestroyPixmap)

* Sat Feb 02 2008 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt8
- font path changed to avoid XFS usage

* Tue Sep 25 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt7
- Supplied patches against original tightvnc; cleaned extra objects and Makefiles

* Tue Sep 11 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt6
- Fixed back fontpath to unix:/7100

* Mon Aug 20 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt5
- Added requirements for xorg, xfs, changed package group

* Sun Aug 19 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt4
- Fixed font path (now unix:-1); fixed start script (now works with environment by su -)

* Thu Aug 09 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt3
- font server place in vncserver for ALT fixed 
java classes place fixed

* Mon Jul 23 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt2
- Fixed problems with x86-64 compilation

* Tue Jul 17 2007 Denis Medvedev <nbr@altlinux.ru> 1.3.9-alt1
- ALT release

* Thu Apr 26 2007 Constantin Kaplinsky <const@tightvnc.com>
- Version 1.3.9.

* Fri Aug 11 2006 Constantin Kaplinsky <const@tightvnc.com>
- Version 1.3.8.

* Sun Jul 03 2005 Constantin Kaplinsky <const@tightvnc.com>
- Removed vnc-server's dependence on XFree86, changed maintainer's
  e-mail address, TightVNC updated to 1.3dev7.

* Sun May 30 2004 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.3dev5 update.

* Thu Mar 04 2004 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.3dev4 update.

* Fri Feb 27 2004 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.3dev3 update.

* Wed Jan 29 2003 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.2.8 update.
- Dependencies on /sbin/chkconfig and /sbin/service has been removed
  for the viewer part.

* Thu Nov 14 2002 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.2.7 update.

* Sat Aug 10 2002 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.2.5 update.

* Tue May 21 2002 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.2.4 update.

* Fri Mar 22 2002 Constantin Kaplinsky <const@ce.cctpu.edu.ru>
- TightVNC 1.2.3 update.

* Tue Mar 12 2002 Tim Waugh <twaugh@redhat.com> 3.3.3r2-27
- Don't block on partial HTTP requests (bug #58066).
- Use the system-provided zlib instead of the bundled one in Xvnc.
- Link to libz and libjpeg dynamically instead of statically in
  vncviewer.
- Fix docs permissions (bug #60783).

* Tue Jan 29 2002 Tim Waugh <twaugh@redhat.com> 3.3.3r2-26
- Updated vncserver fp patch (see bug #58990):
  - Check that Xvnc actually started.
  - Try omitting font path specification if not.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 3.3.3r2-25
- automated rebuild

* Wed Dec 05 2001 David Sainty <dsainty@redhat.com> 3.3.3r2-24
- Added support for s390 and s390x architectures.

* Thu Nov 29 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-23
- TightVNC 1.2.2.

* Mon Nov  5 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-22
- Don't use bash redirections except in bash (bug #55686).

* Fri Oct 26 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-21
- Run %_sysconfdir/X11/xinit/xinitrc in xstartup, not Xclients (bug #52711).
- Don't segfault when disconnecting from font server (bug #55135).

* Wed Sep 26 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-20
- TightVNC 1.2.1, which incorporates several patches we had.

* Mon Sep  3 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-19
- Use xinit's Xclients script to start the session (bug #52711).
- Make vncpasswd create ~/.vnc if it doesn't exist (bug #52547).
- Mention the eight character password limit in vncpasswd.1.

* Tue Jul 24 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-18
- Build requires zlib-devel, libjpeg-devel (bug #49731).

* Fri Jul 13 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-17
- Rebuild to fix file ownership problems.

* Tue Jun  5 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-16
- Really fix bug #28318.
- Use tcp_wrappers (bug #41052).
- Fix build error when using XFree86 4.1.0's imakefile config.

* Fri May  4 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-15
- Add tight encoding patch (includes corre and typo patches).
- Const's Java viewer with tight encoding.
- Update man pages.
- Use the font server (bug #35913).

* Mon Feb 19 2001 Tim Waugh <twaugh@redhat.com> 3.3.3r2-14
- Make initscript change to user's home directory before starting
  vncserver (bug #28318).
- Make initscript stop properly.

* Thu Feb  8 2001 Tim Waugh <twaugh@redhat.com>
- Change initscript usage string.
- Resync descriptions and summaries to match those from specspo.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Redo initscript internationalisation.
- Initscript uses bash not sh.

* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Xvnc man page: put a pointer to tunnelling through ssh.

* Thu Jan 18 2001 Tim Waugh <twaugh@redhat.com>
- Warn about VNC being insecure in %_sysconfdir/sysconfig/vncservers.
- CoRRE fix from Const Kaplinsky (bug #24285).

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- Initscript internationalisation.

* Tue Dec 12 2000 Tim Waugh <twaugh@redhat.com>
- Service is off by default (bug #22076).
- Don't start VNC server in initscript if user has not set passwd yet
  (bug #22076).

* Thu Dec 07 2000 Tim Waugh <twaugh@redhat.com>
- Mark vncviewer.desktop noreplace.
- Mark vncservers and %_initdir//vncserver config.
- Add reload to vncserver initscript.
- chkconfig in post.

* Fri Dec 01 2000 Tim Waugh <twaugh@redhat.com>
- Rebuilt because of fileutils bug.

* Mon Nov 06 2000 Tim Waugh <twaugh@redhat.com>
- Include vncpasswd man page in manifest.

* Mon Nov 06 2000 Tim Waugh <twaugh@redhat.com>
- Add vncviewer.desktop.
- Correct typo in vncconnect.c.
- Add man pages.

* Mon Oct 30 2000 Tim Waugh <twaugh@redhat.com>
- set XAUTHORITY before running xstartup.  Fixes vncserver in ssh
  sessions.
- revamp initscript so that it allows for non-root users.

* Thu Oct 26 2000 Tim Waugh <twaugh@redhat.com>
- update to 3.3.3r2.  Patch from bug #19146 no longer needed.
- include new vncconnect program in file list

* Thu Oct 26 2000 Tim Waugh <twaugh@redhat.com>
- fix initscript (bug #19698)

* Tue Oct 17 2000 Than Ngo <than@redhat.com>
- fixed VNC crashes, patch from Shinji Hattori (Bug #10528)

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix authentication, Bug #19146, Patch from Tim Waugh <twaugh@redhat.com>

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove ,v file from vnc-doc, Bug #12443

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- move post/postun scripts from main package to server subpackage

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- preun and postun sections

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- initial package, from Sean P. Kane package and Mandrake package
- rewrote init script, added condrestart mode
